%% terra e luna tridimensionali nei grafici
function h = plot_earth_moon(body,pos)                                         % body = 1 terra, 2 luna, pos se non nell'origine

% condizioni di default
if nargin < 2
    pos = [0 0 0];
end

% casi terra e luna
if body == 1
    R = 6378;                                                              % raggio terra km
    texture = imread('earth_surf.jpg');                                    % texture della superficie terrestre
else
    R = 1738.4;                                                            % raggio luna km
    texture = imread('moon_surf.jpg');                                     % texture della superficie lunare
end

% creazione della sfera
[x,y,z] = sphere(200);                                                     % creazione sfera                           
h = surf(R*x+pos(1), R*y+pos(2), -R*z+pos(3),...                               % plot sfera con immagine
    'FaceColor','texturemap',...
    'EdgeColor','none',...
    'CData',texture,FaceAlpha=0.5);